<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program']">Kegiatan</a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id]">Indikator</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Detail</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Detail Indikator </h5>
            </div>
            <div class="card-block">
                
                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-2 col-xl-2">  
                        <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                    </div>
                    <div class="col-sm-8 col-xl-8">  
                    </div>
                    <div class="col-sm-2 col-xl-2">
                    </div>
                </div>
                <br>

                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h3 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Kegiatan</b></h3>
                    </div>
                    <div class="col-sm-8 col-xl-8"> 
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 46%; "><strong>Nama Kegiatan (Singkatan)</strong></td>
                                <td style="width: 54%; ">{{dataProgram.nama}}</td>
                            </tr>
                            <tr>
                                <td><strong>Nama Kegiatan (Kepanjangan)</strong></td>
                                <td>{{dataProgram.nama_lain}}</td>
                            </tr>
                            <tr>
                                <td><strong>OPD</strong></td>
                                <td>{{dataProgram.dinas.nama}}</td>
                            </tr>  
                            <tr>
                                <td><strong>Deskripsi</strong></td>
                                <td><span>{{dataProgram.deskripsi}}</span></td>
                            </tr>
                        </table>
                    </div>
                    
                    <div class="col-sm-4 col-xl-4 text-center">
                        <div style="text-align: center;">
                            <img class="img-200 text-center" [src]="dataProgram.logo" style="max-height: 140px; width: auto; "/>
                        </div> 
                    </div>
                    
                    <!-- <div class="col-sm-12 col-xl-12">
                        <br/> 
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>&nbsp;</strong></td>
                                <td style="width: 70%;"><span></span></td>
                            </tr>
                            <tr>
                                <td ><strong>PIC ASN</strong></td>
                                <td ><span *ngFor="let row of dataProgram.pic_asn.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>PIC NON ASN</strong></td>
                                <td><span *ngFor="let row of dataProgram.pic_non_asn.arr">{{row.value}}, </span></td>
                            </tr> 
                            <tr>
                                <td><strong>TAJJ</strong></td>
                                <td><span *ngFor="let row of dataProgram.tajj.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>Fasilitator</strong></td>
                                <td><span *ngFor="let row of dataProgram.fasilitator.arr">{{row.value}}, </span></td>
                            </tr> 
                            <tr>
                                <td><strong>Mitra</strong></td>
                                <td><span *ngFor="let row of dataProgram.mitra.arr">{{row.value}}, </span></td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                             
                            <tr>
                                <td><strong>Problem Statement</strong></td>
                                <td>
                                    <ul>
                                        <li *ngFor="let row of dataProgram.problem.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Ultimate Goal</strong></td>
                                <td>
                                    <ul>
                                        <li *ngFor="let row of dataProgram.goal.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                            <tr>
                                <td><strong>Dampak Output</strong></td>
                                <td> 
                                    {{dataProgram.dampak_pendek}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Dampak Outcome</strong></td>
                                <td> 
                                    {{dataProgram.dampak_menengah}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Dampak Impact</strong></td>
                                <td> 
                                    {{dataProgram.dampak_panjang}}  
                                </td>
                            </tr>
                            <tr>
                                <td><strong>&nbsp;</strong></td>
                                <td><span></span></td>
                            </tr> 
                            <tr>
                                <td><strong>Facebook</strong></td>
                                <td> 
                                    <a href="{{dataProgram.url_facebook}} ">{{dataProgram.url_facebook}}</a> 
                                </td>
                            </tr>
                            <tr> 
                                <td><strong>Instagram</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_instagram}} ">{{dataProgram.url_instagram}}</a> 
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Twitter</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_twitter}} ">{{dataProgram.url_twitter}}</a> 
                                </td>
                            </tr>
                            <tr>
                                <td><strong>Youtube</strong></td>
                                    <td> 
                                    <a href="{{dataProgram.url_youtube}} ">{{dataProgram.url_youtube}}</a> 
                                </td>
                            </tr>  
                        </table> 
                    </div>  --> 
                </div> 

                   
                <div class="row" *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h2 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Indikator</b></h2>
                    </div>
                    
                    <div class="col-sm-12 col-xl-12">  
                        <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                            <tr>
                                <td style="width: 30%"><strong>Indikator</strong></td>
                                <td style="width: 70%">{{dataIndikator.indikator}}</td>
                            </tr>
                            <tr>
                                <td><strong>Target</strong></td>
                                <td>{{dataIndikator.target}}</td>
                            </tr>
                            <tr>
                                <td><strong>Target Kuantitas</strong></td>
                                <td>{{dataIndikator.target_kuantitatif}}</td>
                            </tr>
                            <tr>
                                <td><strong>Target Satuan</strong></td>
                                <td>{{dataIndikator.target_satuan}}</td>
                            </tr>
                            <tr>
                                <td><strong>Pencapaian</strong></td>
                                <td>{{pencapaianIndikatorKuantitas}} ({{pencapaianIndikatorPersen}}%)</td>
                            </tr> 
                        </table>
                    </div>     
                </div>
              
                <div class="row"  *ngIf="finish_loading == true">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Periode Progress</b></h4>
                    </div> 
                    <div class="col-sm-6 col-xl-6">
                        <button type="button" *ngIf="is_add === true" class="btn btn-sm btn-success" (click)="showPeriodeProgressAdd()"> <i class="icofont icofont-plus"></i>Tambah Periode Progress</button> 
                        <br>
                        <br>
                    </div> 
                    <div class="col-sm-12 col-xl-12">
                        <table class="table table-bordered   table-hover">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Periode Progress</th>
                                    <th>Target Kuantitas</th>
                                    <th>Target Satuan</th>
                                    <th>Pencapaian</th>
                                    <th>Aksi</th> 
                                </tr>
                            </thead>
                            <tbody> 
                                <tr *ngFor="let row of dataPeriodeProgress; let i = index;">
                                    <td>{{i+1}}</td>
                                    <td>{{row.periode.tahun}} </td>
                                    <td>{{row.target}}</td>
                                    <td>{{row.satuan}}</td>
                                    <td>{{row.pencapaian_kuantitas}} ({{row.pencapaian_persen}}%)</td>
                                    <td class="center">
                                        <button type="button" *ngIf="is_detail === true" (click)="showPeriodeProgressDetail(row)" class="btn btn-info btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Detail"><i class="icofont icofont-search" style="margin-right: 0px;"></i></button> 
                                        <button type="button" *ngIf="is_edit === true" (click)="showPeriodeProgressEdit(row)" class="btn btn-warning btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Edit"><i class="icofont icofont-pencil-alt-2" style="margin-right: 0px;" ></i></button> 
                                        <button type="button" *ngIf="is_delete === true" (click)="showPeriodeProgressDelete($event, row)"class="btn btn-danger btn-mini waves-effect waves-light" ngbTooltip="Delete" container="body" placement="top" ngbTooltip="Hapus"><i class="icofont icofont-trash" style="margin-right: 0px;" ></i></button>
                                    </td>  
                                </tr> 
                            </tbody>
                        </table>
                    </div> 
                </div>
                <br/>
    
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
